#include "widget.h"
#include <QApplication>
#include <QPushButton>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    this->setWindowTitle("我是第一个小窗口");

    //    this -> resize(200,300);

    this->setFixedSize(QSize(480, 320));

    // 创建一个按钮
    // c++中创建类对象的两种方式:
    // 1) 类名 对象 (构造函数的)
    QPushButton *btn = new QPushButton("退出");
    btn->resize(100, 50); // 设置控件的大小
    btn->setParent(this); // 设置控件在哪一个窗口显示

    btn->move(190, 135);

    // connect(btn,&QPushButton::clicked,this,&QApplication::quit);
    connect(btn, &QPushButton::clicked, this, &QWidget::close);

    QPushButton *btn2 = new QPushButton("2");
    btn2->resize(100, 50); // 设置控件的大小
    btn2->setParent(this); // 设置控件在哪一个窗口显示

    btn2->move(190 + 100, 135);

    QPushButton *btn3 = new QPushButton("3");
    btn3->resize(100, 50); // 设置控件的大小
    btn3->setParent(this); // 设置控件在哪一个窗口显示

    btn3->move(190 + 200, 135);
}

Widget::~Widget()
{
}
